Subject: bug#24857: emacs24/25 FTBFS since a long time on GNU/Hurd

From: Daniel Colascione <[email-masked]>
Date: Wed, 7 Dec 2016 17:15:29 -0800

On 12/07/2016 02:40 PM, Svante Signell wrote:
> On Fri, 2016-12-02 at 16:02 -0800, Paul Eggert wrote:
>> On 12/02/2016 02:35 AM, Svante Signell wrote:
>>> Irrespective of the discussion ongoing of a C or Lisp implementation
>>> of dump, I'd like to try the patch supplied by Daniel Colascione. Does it
>>> still
>>> apply without problems to the main repo git://git.sv.gnu.org/emacs.git?
>>
>> I doubt it. However, Daniel indicated here:
>>
>> http://lists.gnu.org/archive/html/emacs-devel/2016-12/msg00081.html
>>
>> that he would create a branch for that patch this weekend, and I suggest
>> trying that branch. As a Savannah upgrade is in progress, you may have
>> to wait before it's available; see:
>>
>> http://lists.gnu.org/archive/html/emacs-devel/2016-12/msg00095.html
>
> Daniel,
>
> What is the status of your branch containing the portable dumper? Nothing so far
> in http://git.savannah.gnu.org/cgit/emacs.git
> Emacs still FTBFS miserably on GNU/Hurd, both old (previously building) versions
> as new ones. The latest successful build was for Debian version 2.24+1-5, in Nov
> 28 2015, more than a year ago :(
>

Sorry for the delay --- I've been a bit held up in some personal 
business. I recently fixed some bugs in the unexec-mode-in-pdumper-build 
case, and I want to get end-to-end installation (loading the dump after 
'make install') working before I push the branch. Shouldn't be too long.